<?php require_once('Connections/paivaconex.php'); 
include("FusionCharts_Enterprise/Code/PHP/Includes/FusionCharts.php");
session_start();
?>

<script language="javascript" src="FusionCharts_Enterprise/JSClass/FusionCharts.js"></script>

<?php
if (!function_exists("GetSQLValueString")) {
function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
{
  if (PHP_VERSION < 6) {
    $theValue = get_magic_quotes_gpc() ? stripslashes($theValue) : $theValue;
  }

  $theValue = function_exists("mysql_real_escape_string") ? mysql_real_escape_string($theValue) : mysql_escape_string($theValue);

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? doubleval($theValue) : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}
}

$sql = '';

if (count($_POST) >=1) {
	if (isset($_POST['mes'])) {
		$quando[] = "month(datafluxo) IN (".implode( " ,",$_POST['mes']).")";
	}
	if (isset($_POST['ano'])) {
		$quando[] = "year(datafluxo) IN (".implode( " ,",$_POST['ano']).")";
	}
	if (isset($_POST['dia'])) {
		$quando[] = "day(datafluxo) IN (".implode( " ,",$_POST['dia']).")";
	}
	if (isset($_POST['cliente'])) {
		$quando[] = "Cliente IN (".implode( " ,",$_POST['cliente']).")";
	}
	if (isset($_POST['pasta'])) {
		$quando[] = "Pasta IN (".implode( " ,",$_POST['pasta']).")";
	}
	if (isset($_POST['status'])) {
		$quando[] = "status IN (".implode( " ,",$_POST['status']).")";
	}
	if (isset($_POST['detalhe'])) {
		$quando[] = "dashboard.Detalhe IN ('".implode( "' ,'",$_POST['detalhe'])."')";
	}
	$sql = "WHERE ".implode( " AND ", $quando);	
}



if (strlen($sql) < 3){
	$sql = "WHERE year(datafluxo) = Year(NOW())";
}

mysql_select_db($database_paivaconex, $paivaconex);
$query_clientes = "Select dashboard.Detalhe, mfin_clientes.Id as cli_id, Sum(vl_rec - vl_pag) as vl, Sum(Juros_rec - Juros_pag)  as juros, NomeFantasia as cli_nome from dashboard Inner Join mfin_clientes ON Cliente = mfin_clientes.Id Left Join mfin_pastas ON Pasta = mfin_pastas.Id ".$sql." Group by dashboard.Detalhe order by Sum(vl_rec-vl_pag) desc";
$clientes = mysql_query($query_clientes, $paivaconex) or die(mysql_error());
$row_clientes = mysql_fetch_assoc($clientes);
$totalRows_clientes = mysql_num_rows($clientes);
?>
<input type="checkbox" name="todos_detalhes" id="todos_detalhes" />
Selecionar Todos os Detalhes
<table width="1100" border="1">
  <tr bgcolor="#CCCCCC">
    <td width="911" height="22" align="center">Detalhe</td>
    
    <td width="173" align="center">Valor</td>
  </tr>
</table>
<div style="overflow:auto; width:1150px; height:372px;">
<table width="1100" border="1">
  
    <?php $juros = 0;
	do { ?>
      <tr>
        <td width="911" height="22" align="left"><input type="checkbox" name="det" id="checkbox" value="<?php echo htmlentities($row_clientes['Detalhe'], ENT_COMPAT, 'iso-8859-1'); ?>" />
        <?php echo htmlentities($row_clientes['Detalhe'], ENT_COMPAT, 'iso-8859-1'); ?></td>
        
        <td width="173" align="right"><?php echo number_format($row_clientes['vl'],2,',','.'); ?></td>
      </tr>
      
	  
	  <?php 
	  $juros += $row_clientes['juros'];
	  } while ($row_clientes = mysql_fetch_assoc($clientes)); ?>
    
    
    <tr>
      <td width="401" height="22" align="left">Receita Financeira Liquida</td>
        
        <td width="153" align="right"><?php echo number_format($juros,2,',','.'); ?></td>
    </tr>
</table>
</div>
<?php mysql_free_result($clientes); ?>